Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableRowsOperations.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableRowsOperations.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableRowsOperations.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -29,45 +30,23 @@
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 
-/**
- * DOCUMENT ME!
- * 
- * @author Vicente Caballero Navarro
- * @author gvSIG team
- */
 public class TableRowsOperations extends Extension {
 
-    /**
-     * DOCUMENT ME!
-     */
     public void initialize() {
         registerIcons();
     }
 
     private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "table-selection-up",
-            this.getClass().getClassLoader()
-                .getResource("images/selectionUp.png"));
-
-        PluginServices.getIconTheme().registerDefault(
-            "table-invert",
-            this.getClass().getClassLoader()
-                .getResource("images/invertSelection.png"));
+    	IconThemeHelper.registerIcon("action", "selection-move-up", this);
+    	IconThemeHelper.registerIcon("action", "selection-reverse", this);    
     }
 
-    /**
-     * DOCUMENT ME!
-     * 
-     * @param actionCommand
-     *            DOCUMENT ME!
-     */
     public void execute(String actionCommand) {
         FeatureTableDocumentPanel tableDocument = getTableDocument();
-        if (actionCommand.compareTo("SELECTIONUP") == 0) {
+        if (actionCommand.equalsIgnoreCase("selection-move-up") ) {
             showsSelectedRows(tableDocument);
         }
-        if (actionCommand.compareTo("INVERTSELECTION") == 0) {
+        if (actionCommand.equalsIgnoreCase("selection-reverse") ) {
             invertSelection(tableDocument);
         }
         tableDocument.getModel().setModified(true);
@@ -92,11 +71,6 @@
         table.setSelectionUp(true);
     }
 
-    /**
-     * DOCUMENT ME!
-     * 
-     * @return DOCUMENT ME!
-     */
     public boolean isEnabled() {
         FeatureTableDocumentPanel tableDocument = getTableDocument();
 
@@ -112,11 +86,6 @@
         return false;
     }
 
-    /**
-     * DOCUMENT ME!
-     * 
-     * @return DOCUMENT ME!
-     */
     public boolean isVisible() {
         return getTableDocument() != null;
     }
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStartExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStartExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStartExtension.java	(revision 38564)
@@ -23,6 +23,7 @@
 
 import java.util.List;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.ui.mdiManager.IWindow;
 import org.gvsig.app.project.documents.table.TableDocument.TableLink;
@@ -37,11 +38,16 @@
  */
 public class TableEditStartExtension extends AbstractTableEditExtension {
 
+	
+	public void initialize() {
+		super.initialize();
+		IconThemeHelper.registerIcon("action", "table-start-editing", this);
+	}
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("STARTEDIT".equals(actionCommand)) {
+        if ("table-start-editing".equals(actionCommand)) {
             try {
                 table.getModel().getStore().edit(FeatureStore.MODE_FULLEDIT);
             } catch (DataException e) {
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/UndoTableExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/UndoTableExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/UndoTableExtension.java	(revision 38564)
@@ -42,20 +42,13 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("table-undo",
-            this.getClass().getClassLoader().getResource("images/Undo.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String s) {
-
-        if (s.compareTo("UNDO") == 0) {
+    	if( "edit-undo-table".equalsIgnoreCase(s)) {
             if (table.getModel().getStore().isEditing()) {
                 FeatureStore fs = table.getModel().getStore();
                 try {
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditInsertExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditInsertExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditInsertExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 
 /**
@@ -30,11 +31,15 @@
  */
 public class TableEditInsertExtension extends AbstractTableEditExtension {
 
+	public void initialize() {
+		super.initialize();
+		IconThemeHelper.registerIcon("action", "table-add-row", this);
+	}
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("INSERTROW".equals(actionCommand)) {
+        if ("table-add-row".equals(actionCommand)) {
             try {
                 featureTableOperations.setStore(table.getModel().getStore());
                 featureTableOperations.insertNewFeature();
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableNumericFieldOperations.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableNumericFieldOperations.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableNumericFieldOperations.java	(revision 38564)
@@ -23,6 +23,7 @@
 
 import java.math.BigDecimal;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -52,30 +53,26 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+       IconThemeHelper.registerIcon("action", "table-statistics", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "table-statistics",
-            this.getClass().getClassLoader()
-                .getResource("images/statistics.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        IWindow v = PluginServices.getMDIManager().getActiveWindow();
-
-        if (v != null) {
-            if (v.getClass() == FeatureTableDocumentPanel.class) {
-
-                FeatureTableDocumentPanel table = (FeatureTableDocumentPanel) v;
-
-                doExecute(table);
-            }
-        }
+    	if( "table-statistics".equalsIgnoreCase(actionCommand)) {
+	        IWindow v = PluginServices.getMDIManager().getActiveWindow();
+	
+	        if (v != null) {
+	            if (v.getClass() == FeatureTableDocumentPanel.class) {
+	
+	                FeatureTableDocumentPanel table = (FeatureTableDocumentPanel) v;
+	
+	                doExecute(table);
+	            }
+	        }
+    	}
+    	
     }
 
     /**
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ZoomToSelectExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ZoomToSelectExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ZoomToSelectExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -40,22 +41,23 @@
 public class ZoomToSelectExtension extends Extension {
 
     public void execute(String s) {
-        org.gvsig.andami.ui.mdiManager.IWindow f =
-            PluginServices.getMDIManager().getActiveWindow();
-        MapContext mapa = null;
-        Envelope selectedExtent = null;
-        if (f instanceof FeatureTableDocumentPanel) {
-            FeatureTableDocumentPanel table = (FeatureTableDocumentPanel) f;
-            mapa = (table.getModel().getAssociatedLayer()).getMapContext();
-        }
-
-        try {
-            selectedExtent = mapa.getSelectionBounds();
-            mapa.getViewPort().setEnvelope(selectedExtent);
-        } catch (BaseException e) {
-            NotificationManager.addError(e);
-        }
-
+    	if( "view-navigation-zoom-to-selection-table".equalsIgnoreCase(s) ) {
+	        org.gvsig.andami.ui.mdiManager.IWindow f =
+	            PluginServices.getMDIManager().getActiveWindow();
+	        MapContext mapa = null;
+	        Envelope selectedExtent = null;
+	        if (f instanceof FeatureTableDocumentPanel) {
+	            FeatureTableDocumentPanel table = (FeatureTableDocumentPanel) f;
+	            mapa = (table.getModel().getAssociatedLayer()).getMapContext();
+	        }
+	
+	        try {
+	            selectedExtent = mapa.getSelectionBounds();
+	            mapa.getViewPort().setEnvelope(selectedExtent);
+	        } catch (BaseException e) {
+	            NotificationManager.addError(e);
+	        }
+    	}
     }
 
     public boolean isVisible() {
@@ -122,9 +124,6 @@
     }
 
     private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "table-zoom-to-seleccion",
-            this.getClass().getClassLoader()
-                .getResource("images/ZoomSeleccion.png"));
+    	IconThemeHelper.registerIcon("action", "view-navigation-zoom-to-selection", this);
     }
 }
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCopyExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCopyExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCopyExtension.java	(revision 38564)
@@ -21,7 +21,6 @@
  */
 package org.gvsig.app.extension;
 
-import org.gvsig.andami.PluginServices;
 import org.gvsig.fmap.dal.exception.DataException;
 
 /**
@@ -36,22 +35,13 @@
      */
     public void initialize() {
         super.initialize();
-        registerIcons();
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme()
-            .registerDefault(
-                "edit-copy",
-                this.getClass().getClassLoader()
-                    .getResource("images/editcopy.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("COPY".equals(actionCommand)) {
+        if ("edit-copy-table".equals(actionCommand)) {
             try {
                 featureTableOperations.setStore(table.getModel().getStore());
                 featureTableOperations.copyFeatures();
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditPasteExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditPasteExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditPasteExtension.java	(revision 38564)
@@ -21,7 +21,6 @@
  */
 package org.gvsig.app.extension;
 
-import org.gvsig.andami.PluginServices;
 import org.gvsig.fmap.dal.exception.DataException;
 
 /**
@@ -36,21 +35,13 @@
      */
     public void initialize() {
         super.initialize();
-        registerIcons();
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "edit-paste",
-            this.getClass().getClassLoader()
-                .getResource("images/editpaste.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("PASTE".equals(actionCommand)) {
+        if ("edit-paste-table".equals(actionCommand)) {
             try {
                 featureTableOperations.setStore(table.getModel().getStore());
                 featureTableOperations.pasteFeatures();
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowTable.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowTable.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowTable.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.project.ProjectManager;
@@ -98,46 +99,48 @@
      * @see com.iver.mdiApp.plugins.IExtension#updateUI(java.lang.String)
      */
     public void execute(String s) {
-        AbstractViewPanel vista =
-            (AbstractViewPanel) PluginServices.getMDIManager()
-                .getActiveWindow();
-        FLayer[] actives =
-            vista.getViewDocument().getMapContext().getLayers().getActives();
+		if ("layer-show-attributes-table".equalsIgnoreCase(s)) {
+			AbstractViewPanel vista = (AbstractViewPanel) PluginServices
+					.getMDIManager().getActiveWindow();
+			FLayer[] actives = vista.getViewDocument().getMapContext()
+					.getLayers().getActives();
 
-        for (int i = 0; i < actives.length; i++) {
-            if (actives[i] instanceof FLyrVect) {
-                FLyrVect co = (FLyrVect) actives[i];
+			for (int i = 0; i < actives.length; i++) {
+				if (actives[i] instanceof FLyrVect) {
+					FLyrVect co = (FLyrVect) actives[i];
 
-                ProjectManager projectManager = getProjectManager();
-                TableManager tableManager = getTableManager();
+					ProjectManager projectManager = getProjectManager();
+					TableManager tableManager = getTableManager();
 
-                TableDocument projectTable = tableManager.getTableDocument(co);
-                FeatureStore fs = ((FLyrVect) actives[i]).getFeatureStore();
+					TableDocument projectTable = tableManager
+							.getTableDocument(co);
+					FeatureStore fs = ((FLyrVect) actives[i]).getFeatureStore();
 
-                if (projectTable == null) {
-                    projectTable =
-                        (TableDocument) projectManager.createDocument(
-                            TableManager.TYPENAME,
-                            PluginServices.getText(this, "Tabla_de_Atributos")
-                                + ": " + actives[i].getName());
-                    projectTable.setStore(fs);
-                    projectTable.setAssociatedLayer(co);
-                    co.getParentLayer().addLayerCollectionListener(this);
-                    projectManager.getCurrentProject().add(projectTable);
-                }
+					if (projectTable == null) {
+						projectTable = (TableDocument) projectManager
+								.createDocument(
+										TableManager.TYPENAME,
+										PluginServices.getText(this,
+												"Tabla_de_Atributos")
+												+ ": "
+												+ actives[i].getName());
+						projectTable.setStore(fs);
+						projectTable.setAssociatedLayer(co);
+						co.getParentLayer().addLayerCollectionListener(this);
+						projectManager.getCurrentProject().add(projectTable);
+					}
 
-                FeatureTableDocumentPanel featureTableDocumentPanel =
-                    (FeatureTableDocumentPanel) projectTable.getFactory()
-                        .getMainWindow(projectTable);
+					FeatureTableDocumentPanel featureTableDocumentPanel = (FeatureTableDocumentPanel) projectTable
+							.getFactory().getMainWindow(projectTable);
 
-                featureTableDocumentPanel.getModel().setModified(true);
-                PluginServices.getMDIManager().addWindow(
-                    featureTableDocumentPanel);
-            }
-        }
+					featureTableDocumentPanel.getModel().setModified(true);
+					PluginServices.getMDIManager().addWindow(
+							featureTableDocumentPanel);
+				}
+			}
+		}
+	}
 
-    }
-
     private ProjectManager getProjectManager() {
         return ProjectManager.getInstance();
     }
@@ -153,16 +156,9 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "layer-show-attributes-table", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "layer-show-attribute-table",
-            this.getClass().getClassLoader()
-                .getResource("images/ResultConsulta.png"));
-    }
-
     public void layerAdded(LayerCollectionEvent e) {
         // Nothing to do
     }
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ClearSelectionExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ClearSelectionExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/ClearSelectionExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -37,7 +38,7 @@
 public class ClearSelectionExtension extends Extension {
 
     public void execute(String s) {
-        if (s.compareTo("DEL_SELECTION") == 0) {
+        if (s.compareTo("selection-clear-table") == 0) {
             IWindow activeWindow =
                 PluginServices.getMDIManager().getActiveWindow();
 
@@ -83,13 +84,7 @@
     }
 
     public void initialize() {
-        registerIcons();
+        IconThemeHelper.registerIcon("action", "selection-clear", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "table-clear-selection",
-            this.getClass().getClassLoader()
-                .getResource("images/delselection.png"));
-    }
 }
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableOperations.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableOperations.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableOperations.java	(revision 38564)
@@ -27,6 +27,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -75,7 +76,7 @@
             tableDcouments
                 .toArray(new TableDocument[tableDcouments.size()]);
 
-        if ("LINK".equals(actionCommand)) {
+        if ("table-create-link".equals(actionCommand)) {
             try {
                 final ObjectSelectionStep sourceTable =
                     new ObjectSelectionStep();
@@ -373,24 +374,10 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
-        // FIXME
-        // org.gvsig.fmap.data.feature.joinstore.Register.selfRegister();
+    	IconThemeHelper.registerIcon("action", "table-create-link", this);
 
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "table-join",
-            this.getClass().getClassLoader()
-                .getResource("images/tablejoin.png"));
-
-        PluginServices.getIconTheme().registerDefault(
-            "table-link",
-            this.getClass().getClassLoader()
-                .getResource("images/tablelink.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#isEnabled()
      */
Index: branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/preferences/ExporttoPreferencesPage.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/preferences/ExporttoPreferencesPage.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/preferences/ExporttoPreferencesPage.java	(revision 38564)
@@ -29,6 +29,7 @@
 import javax.swing.JLabel;
 import javax.swing.JPanel;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.preferences.AbstractPreferencePage;
@@ -51,7 +52,7 @@
 
     private static final long serialVersionUID = -5751805016601819817L;
 
-    private ImageIcon icon;
+    //private ImageIcon icon;
 
     private ExporttoSwingProviderManager manager;
 
@@ -61,7 +62,7 @@
      * Constructor.
      */
     public ExporttoPreferencesPage() {
-        icon = PluginServices.getIconTheme().get("exportto-properties");
+        //icon = PluginServices.getIconTheme().get("exportto-properties");
 
         manager = ExporttoSwingProviderLocator.getManager();
         addComponent(new JLabel(
@@ -91,7 +92,7 @@
     }
 
     public ImageIcon getIcon() {
-        return icon;
+        return IconThemeHelper.getImageIcon("export-to-preferences");
     }
 
     public boolean isValueChanged() {
Index: branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/ExporttoPreferencesExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/ExporttoPreferencesExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.exportto.app/org.gvsig.exportto.app.extension/src/main/java/org/gvsig/exportto/app/extension/ExporttoPreferencesExtension.java	(revision 38564)
@@ -28,6 +28,7 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.exportto.app.extension.preferences.ExporttoPreferencesPage;
@@ -121,10 +122,7 @@
             ToolsLocator.getExtensionPointManager();
         ExtensionPoint ep = extensionPoints.add("AplicationPreferences", "");
 
-        PluginServices.getIconTheme().registerDefault(
-            "exportto-properties",
-            ExporttoPreferencesPage.class.getClassLoader().getResource(
-                "images/document-save-as.png"));
+        IconThemeHelper.registerIcon("preferences", "export-to-preferences", this);
 
         ep.append("ExporttoPreferencesPage", "", new ExporttoPreferencesPage());
     }
Index: branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/preferences/NewLayerPreferencesPage.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/preferences/NewLayerPreferencesPage.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/preferences/NewLayerPreferencesPage.java	(revision 38564)
@@ -29,7 +29,7 @@
 import javax.swing.JLabel;
 import javax.swing.JPanel;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.preferences.AbstractPreferencePage;
 import org.gvsig.andami.preferences.StoreException;
@@ -51,7 +51,7 @@
 
     private static final long serialVersionUID = -5751805016601819817L;
 
-    private ImageIcon icon;
+//    private ImageIcon icon;
 
     private NewLayerManager manager;
 
@@ -61,7 +61,7 @@
      * Constructor.
      */
     public NewLayerPreferencesPage() {
-        icon = PluginServices.getIconTheme().get("newlayer-properties");
+//        icon = PluginServices.getIconTheme().get("newlayer-properties");
 
         manager = NewLayerLocator.getManager();
         addComponent(new JLabel(
@@ -93,7 +93,7 @@
     }
 
     public ImageIcon getIcon() {
-        return icon;
+        return IconThemeHelper.getImageIcon("newlayer-preferences");
     }
 
     public boolean isValueChanged() {
Index: branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/NewLayerPreferencesExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/NewLayerPreferencesExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.newlayer.app/org.gvsig.newlayer.app.extension/src/main/java/org/gvsig/newlayer/app/extension/NewLayerPreferencesExtension.java	(revision 38564)
@@ -28,6 +28,7 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.i18n.Messages;
@@ -120,11 +121,8 @@
             ToolsLocator.getExtensionPointManager();
         ExtensionPoint ep = extensionPoints.add("AplicationPreferences", "");
 
-        PluginServices.getIconTheme().registerDefault(
-            "newlayer-properties",
-            NewLayerPreferencesPage.class.getClassLoader().getResource(
-                "images/document-new.png"));
-
+        IconThemeHelper.registerIcon("preferences", "newlayer-preferences", this);
+        
         ep.append("NewLayerPreferencesPage", "", new NewLayerPreferencesPage());
     }
 
